KPushButton Class Reference

`#include <kpushbutton.h>`

Inheritance diagram for KPushButton:

## Public Member Functions

| KPushButton (QWidget *parent, const char *name=0)
| KPushButton (const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const QIconSet &icon, const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const KGuiItem &item, QWidget *parent, const char *name=0)
| ~KPushButton ()
void | setDragEnabled (bool enable)
bool | isDragEnabled () const
void | setGuiItem (const KGuiItem &item)
void | setGuiItem (KStdGuiItem::StdItem item)
KStdGuiItem::StdItem | guiItem () const
void | setGuiItm (int itm)
int | guiItm () const
void | setIconSet (const QIconSet &iconSet)
void | setText (const QString &text)

## Protected Member Functions

virtual QDragObject * | dragObject ()
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | startDrag ()
virtual void | virtual_hook (int id, void *data)

## Properties

int | stdItem
bool | isDragEnabled

## Detailed Description

This is nothing but a QPushButton with drag-support and KGuiItem support.

You have to call setDragEnabled( true ) and override the virtual method dragObject() to specify the QDragObject to be used.

A QPushButton with drag-support and KGuiItem support

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 37 of file kpushbutton.h.

## Constructor & Destructor Documentation

KPushButton::KPushButton | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Default constructor.

Definition at line 43 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor, that sets the button-text to `text`.

Definition at line 50 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const QIconSet & | icon,
|  | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor, that sets an icon and the button-text to `text`.

Definition at line 58 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const KGuiItem & | item,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor that takes a KGuiItem for the text, the icon, the tooltip and the what's this help.

Definition at line 66 of file kpushbutton.cpp.

KPushButton::~KPushButton | ( |  | ) |

Destructs the button.

Definition at line 74 of file kpushbutton.cpp.

## Member Function Documentation

QDragObject * KPushButton::dragObject | ( |  | ) |

protected virtual

Reimplement this and return the QDragObject that should be used for the drag.

Default implementation returns 0L, so that no drag is initiated.

Definition at line 205 of file kpushbutton.cpp.

KStdGuiItem::StdItem KPushButton::guiItem | ( |  | ) | const

Reads the standard KGuiItem for this button.

Since
  3.4

Definition at line 143 of file kpushbutton.cpp.

bool KPushButton::isDragEnabled | ( |  | ) | const

inline

Returns
  if drag support is enabled or not.

Definition at line 80 of file kpushbutton.h.

void KPushButton::mouseMoveEvent | ( | QMouseEvent * | e | ) |

protected virtual

Reimplemented to add drag-support.

Definition at line 188 of file kpushbutton.cpp.

void KPushButton::mousePressEvent | ( | QMouseEvent * | e | ) |

protected virtual

Reimplemented to add drag-support.

Definition at line 181 of file kpushbutton.cpp.

void KPushButton::setDragEnabled | ( | bool | enable | ) |

Enables/disables drag-support.

Default is disabled.

Definition at line 176 of file kpushbutton.cpp.

void KPushButton::setGuiItem | ( | const KGuiItem & | item | ) |

Sets the KGuiItem for this button.

Definition at line 120 of file kpushbutton.cpp.

void KPushButton::setGuiItem | ( | KStdGuiItem::StdItem | item | ) |

Sets the standard KGuiItem for this button.

Since
  3.4

Definition at line 137 of file kpushbutton.cpp.

void KPushButton::setIconSet | ( | const QIconSet & | iconSet | ) |

Sets the Icon Set for this button.

It also takes into account hte KGlobalSettings::showIconsOnPushButtons() setting.

Definition at line 160 of file kpushbutton.cpp.

void KPushButton::setText | ( | const QString & | text | ) |

Sets the text of the button.

Definition at line 148 of file kpushbutton.cpp.

void KPushButton::startDrag | ( |  | ) |

protected virtual

Starts a drag (dragCopy() by default) using dragObject()

Definition at line 210 of file kpushbutton.cpp.

The documentation for this class was generated from the following files:

- kpushbutton.h
- kpushbutton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys